| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DTDHandler Class Reference

Receive notification of basic DTD-related events. More...

`#include <DTDHandler.hpp>`

Inheritance diagram for DTDHandler

[legend]
List of all members.

## Public Methods

Constructors and Destructor
| DTDHandler ()
| Default Constructor.
virtual | ~DTDHandler ()
| Destructor.
The DTD handler interface
virtual void | notationDecl (const XMLCh *const name,const XMLCh *const publicId,const XMLCh *const systemId)=0
| Receive notification of a notation declaration event. More...
virtual void | unparsedEntityDecl (const XMLCh *const name,const XMLCh *const publicId,const XMLCh *const systemId,const XMLCh *const notationName)=0
| Receive notification of an unparsed entity declaration event. More...
virtual void | resetDocType ()=0
| Reset the DocType object on its reuse. More...

## Detailed Description

Receive notification of basic DTD-related events.

If a SAX application needs information about notations and unparsed entities, then the application implements this interface and registers an instance with the SAX parser using the parser's setDTDHandler method. The parser uses the instance to report notation and unparsed entity declarations to the application.

The SAX parser may report these events in any order, regardless of the order in which the notations and unparsed entities were declared; however, all DTD events must be reported after the document handler's startDocument event, and before the first startElement event.

It is up to the application to store the information for future use (perhaps in a hash table or object tree). If the application encounters attributes of type "NOTATION", "ENTITY", or "ENTITIES", it can use the information that it obtained through this interface to find the entity and/or notation corresponding with the attribute value.

The HandlerBase class provides a default implementation of this interface, which simply ignores the events.

See also:
  Parser::setDTDHandler , HandlerBase::HandlerBase

## Constructor & Destructor Documentation

DTDHandler::DTDHandler ( | )

| Default Constructor.

DTDHandler::~DTDHandler ( | )`[virtual]`

| Destructor.

## Member Function Documentation

void DTDHandler::notationDecl ( | const XMLCh * const,
| const XMLCh * const,
| const XMLCh * const )`[pure virtual]`

Receive notification of a notation declaration event.

It is up to the application to record the notation for later reference, if necessary.

If a system identifier is present, and it is a URL, the SAX parser must resolve it fully before passing it to the application.

Parameters:

  name | The notation name.
  publicId | The notation's public identifier, or null if none was given.
  systemId | The notation's system identifier, or null if none was given.

Exceptions:

  SAXException | Any SAX exception, possibly wrapping another exception.

See also:
  unparsedEntityDecl , AttributeList::AttributeList

Reimplemented in HandlerBase, and DefaultHandler.

void DTDHandler::resetDocType ( | )`[pure virtual]`

| Reset the DocType object on its reuse. This method helps in reseting the DTD object implementational defaults each time the DTD is begun. Reimplemented in HandlerBase, and DefaultHandler.

void DTDHandler::unparsedEntityDecl ( | const XMLCh * const,
| const XMLCh * const,
| const XMLCh * const,
| const XMLCh * const )`[pure virtual]`

Receive notification of an unparsed entity declaration event.

Note that the notation name corresponds to a notation reported by the notationDecl() event. It is up to the application to record the entity for later reference, if necessary.

If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

Exceptions:

  SAXException | Any SAX exception, possibly wrapping another exception.

Parameters:

  name | The unparsed entity's name.
  publicId | The entity's public identifier, or null if none was given.
  systemId | The entity's system identifier (it must always have one).
  notationName | The name of the associated notation.

See also:
  notationDecl , AttributeList::AttributeList

Reimplemented in HandlerBase, and DefaultHandler.

The documentation for this class was generated from the following file:

- DTDHandler.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.